package com.propertyManagement.business.service;

import com.propertyManagement.business.domain.WxAccount;
import com.propertyManagement.business.domain.vo.WxAccountVo;
import com.propertyManagement.business.domain.bo.WxAccountBo;
import com.propertyManagement.common.core.page.TableDataInfo;
import com.propertyManagement.common.core.domain.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 员工账号Service接口
 *
 * @author liushuai
 * @date 2025-05-22
 */
public interface IWxAccountService {

    /**
     * 查询员工账号
     */
    WxAccountVo queryById(Long accountId);

    /**
     * 查询员工账号列表
     */
    TableDataInfo<WxAccountVo> queryPageList(WxAccountBo bo, PageQuery pageQuery);

    /**
     * 查询员工账号列表
     */
    List<WxAccountVo> queryList(WxAccountBo bo);

    /**
     * 新增员工账号
     */
    Boolean insertByBo(WxAccountBo bo);

    /**
     * 修改员工账号
     */
    Boolean updateByBo(WxAccountBo bo);

    /**
     * 校验并批量删除员工账号信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
